# Part 1: AI Development Environment

이 파트에서는 AI 개발에 필요한 파이썬, VSCode, Git 등 필수 도구를 설치하고, 가상환경과 주피터 노트북 사용법을 익힙니다.

## 📚 학습 자료

- **[강의 노트](./part_1_ai_development_environment.md)**: 개발 환경 구축 절차를 상세히 안내합니다.
- **[Cursor AI 고급 사용 가이드](./cursor_advanced_guide.md)**: Cursor AI의 12가지 고급 사용 팁과 최적화 방법을 다룹니다.
- **[핵심 용어집](../../glossary.md)**: 이 파트의 주요 용어를 정리했습니다.

## 🚀 Cursor AI 고급 사용 팁 12가지

1. **전략적으로 모델을 선택하자** - Thinking/Non-Thinking 모델의 차이점과 활용법
2. **복잡한 앱 수정 시 Ask 모드로 계획을 먼저 세우자** - 안전한 코드 수정 방법
3. **디버깅할 때는 TDD 방식으로 접근하자** - 3단계 디버깅 프로세스
4. **Cursor가 스스로 학습하도록 룰을 관리하자** - /Generate Cursor Rules 활용
5. **다중 탭과 Auto 옵션을 활용해 생산성을 높이자** - 효율적인 작업 환경 구축
6. **하나의 채팅 세션을 오래 지속하지 말자** - 컨텍스트 관리 전략
7. **유의미한 변경이 완료되면 반드시 커밋하자** - Git과의 연동
8. **코드 구조를 AI에게 알려주고 파일 관리를 최적화하자** - Cursor 내부 Tools 이해
9. **파일이 길어지면 AI에게 모듈화를 요청하자** - 3단계 모듈화 프로세스
10. **@을 써서 적극적으로 컨텍스트를 주입하자** - 다양한 컨텍스트 활용법
11. **보안이 중요하다면 Privacy 모드를 켜자** - 보안 설정
12. **MCP(Model Context Protocol)와 도구들을 활용하자** - 다양한 도구 연동

---

[↩️ 전체 커리큘럼으로 돌아가기](../../README.md) 