# Part 2: 파이썬 핵심 문법 - 실습 코드

이 디렉토리에는 AI 전문가 과정의 **Part 2: 파이썬 핵심 문법**에 해당하는 실습 코드가 포함되어 있습니다.

## 파일 설명

- **`part_2_python_core_syntax.ipynb`**: 강의 내용과 함께 단계별 코드 실행이 가능한 주피터 노트북 파일입니다. 이론 설명과 코드 예제를 함께 보며 학습하는 데 사용됩니다.
- **`part_2_python_core_syntax.py`**: `.ipynb` 파일에서 순수 코드 부분만 추출한 파이썬 스크립트입니다. 전체 코드를 한 번에 실행하거나 코드 분석, 테스트 등의 목적으로 사용됩니다.

## 실행 방법

### 주피터 노트북 (`.ipynb`)

1.  이 프로젝트의 가상 환경을 활성화합니다.
2.  터미널에서 `jupyter notebook` 또는 `jupyter lab`을 실행합니다.
3.  웹 브라우저에서 `part_2_python_core_syntax.ipynb` 파일을 열어 실습을 진행합니다.

### 파이썬 스크립트 (`.py`)
1.  터미널 또는 IDE의 터미널을 엽니다.
2.  이 디렉토리로 이동합니다.
    ```bash
    cd "ai lecture/source_code/02_python_core_syntax"
    ```
3.  다음 명령어를 사용하여 파이썬 스크립트를 실행합니다.
    ```bash
    python part_2_python_core_syntax.py
    ```

## 주요 실습 내용

- 변수 선언 및 다양한 자료형(숫자, 문자열, 불리언) 사용
- 리스트, 튜플, 딕셔너리, 셋 등 기본 컬렉션 생성 및 조작
- `if`, `for`, `while`을 이용한 제어 흐름 만들기
- 함수 정의, 매개변수 및 인자 사용, 값 반환하기
- 리스트 컴프리헨션 및 슬라이싱 활용 