# Part 8: 모델 서빙 (FastAPI) 실습 코드

이 디렉토리에는 머신러닝 모델을 API로 서빙하기 위한 FastAPI 애플리케이션 예제 코드가 포함되어 있습니다.

## 🚀 실행 방법

### 1. 의존성 설치

모든 필수 라이브러리는 프로젝트 루트의 `requirements.txt` 파일에 정의되어 있습니다. 아직 설치하지 않았다면, 프로젝트 루트 디렉토리(`ai_lecture`)에서 다음 명령을 실행하세요.

```bash
pip install -r ../../requirements.txt
```

### 2. API 서버 실행

이 디렉토리(`source_code/08_model_serving_with_fastapi`)에서 다음 명령어를 사용하여 FastAPI 개발 서버를 실행합니다.

```bash
uvicorn main:app --reload
```

### 3. API 문서 확인

서버가 실행되면, 웹 브라우저에서 다음 주소로 접속하여 자동 생성된 API 문서를 확인하고 테스트할 수 있습니다.

- [http://127.0.0.1:8000/docs](http://127.0.0.1:8000/docs) 